# Zoom Meeting API - March 18, 2023 _Published date: March 18, 2023_ ## Added - New **Device** API: - `PATCH /v2/devices/{deviceId}/assignment` - New **Webinar** webhook events: - `webinar.permanently_deleted` - `webinar.recovered` - New **Zoom Rooms** webhook event: - `zoomroom.meeting_invitation_accepted` ## Changed - New `source_id` request field in the **Add a webinar registrant** API: - `POST /v2/webinars/{webinarId}/registrants` - New `file_ids` request field in the following **Chat** APIs: - `PUT /v2/chat/users/{userId}/messages/{messageId}` - New `user_id`, `join_time`, `leave_time`, `duration`, `failover` response fields in the following **Meeting** and **Webinar** APIs: - `GET /v2/past_meetings/{meetingId}/participants` - `GET /v2/past_webinars/{webinarId}/participants` - New `audio`, `audio_conference_info` fields in the following **Meeting** and **Webinar** APIs: - `POST /v2/users/{userId}/meetings` - `GET /v2/meetings/{meetingId}` - `PATCH /v2/meetings/{meetingId}` - `POST /v2/users/{userId}/webinars` - `GET /v2/webinars/{webinarId}` - `PATCH /v2/webinars/{webinarId}` - New `recording_play_passcode` field in the following **Recording** APIs: - `GET /v2/users/{userId}/recordings` - `GET /v2/accounts/{accountId}/recordings` - New `zoom_spots` field in the following **Settings** APIs: - `GET /v2/users/{userId}/settings` - `PATCH /v2/users/{userId}/settings` - New `signin_with_sso`, `enable`, `require_sso_for_domains`, `domains`, `sso_bypass_user_ids` fields in the following **Settings** API: - `PATCH /v2/accounts/{accountId}/settings` - Support `schedule_for` simulive webinars in the following **Webinar** APIs: - `POST /v2/users/{userId}/webinars` - `PATCH /v2/webinars/{webinarId}` - New `zoomroom.alarm_start`, `zoomroom.alarm_stop` and `zoomroom.thirdparty_meeting_join` value for the `method` field and new `join_type`,`meeting_source_type`,`join_url`,`sip_address` and `third_party_meeting_number` fields in the `params` field in the **Zoom Rooms** API: - `PATCH /v2/rooms/{id}/events` - New `set_retention_period_in_cloud`, `set_retention_period_in_local` fields in the following **Settings** APIs and webhook events: - `GET /v2/accounts/{accountId}/settings` - `PATCH /v2/accounts/{accountId}/settings` - `GET /v2/accounts/{accountId}/lock_settings` - `PATCH /v2/accounts/{accountId}/lock_settings` - `GET /v2/groups/{groupId}/settings` - `PATCH /v2/groups/{groupId}/settings` - `account.settings_updated` - `account.lock_settings_updated` - `group.settings_updated` - New `signin_with_sso`, `enable`, `require_sso_for_domains`, `domains`, `sso_bypass_users` response fields in the following **Settings** API and webhook event: - `GET /v2/accounts/{accountId}/settings` - `account.settings_updated` - New `meeting_question_answer` field in the following **Settings** APIs and webhook events: - `GET /v2/accounts/{accountId}/settings` - `PATCH /v2/accounts/{accountId}/settings` - `GET /v2/accounts/{accountId}/lock_settings` - `PATCH /v2/accounts/{accountId}/lock_settings` - `GET /v2/groups/{groupId}/settings` - `PATCH /v2/groups/{groupId}/settings` - `GET /v2/groups/{groupId}/lock_settings` - `PATCH /v2/groups/{groupId}/lock_settings` - `GET /v2/users/{userId}/settings` - `account.settings_updated` - `account.lock_settings_updated` - `group.settings_updated` - `group.lock_settings_updated` - New `reserve_for` field in the following **Workspace** webhook events: - `workspace.reservation_checked_in` - `workspace.reservation_checked_out` - `workspace.reservation_deleted` - `workspace.reservation_update` - Align admin password change logic in API to match logic in web portal, which only lets the owner update the admin's password. - `PUT /v2/users/{userId}/password` ## Fixed - Fix the bug that added duplicate numbers in the **Create Internal Numbers** API: - `POST /v2/accounts/{accountId}/sip_trunk/internal_numbers` - Fix the bug that let denied registrants re-register in the **Meeting** API: - `POST /v2/meetings/{meetingId}/registrants` - Fix the bug that allowed users without permission to access the **Report** APIs: - `GET /v2/report/operationlogs` - `GET /v2/report/activities`